Gordons Projects

--> Projects Top-Level GIT

Change to the build script to check for the presence of the I2C development
authorGordon Henderson <projects@drogon.net>
Tue, 15 Jan 2013 15:45:32 +0000 (15:45 +0000)
committerGordon Henderson <projects@drogon.net>
Tue, 15 Jan 2013 15:45:32 +0000 (15:45 +0000)
libraries.
Bumped gpio version.

build
gpio/gpio.c

diff --git a/build b/build
index 9eeb4df..ad1eff0 100755 (executable)
--- a/build
+++ b/build
@@ -23,7 +23,22 @@ elif [ x$1 = "xuninstall" ]; then
   cd ..
 else
   echo wiringPi Build script - please wait...
+
   echo
+  if [ ! -f /usr/include/linux/i2c-dev.h ]; then
+    echo "* wiringPi needs the I2C Development Libraires installing."
+    echo ""
+    echo "If using Debian/Raspbian, then type this command:"
+    echo "  sudo apt-get install libi2c-dev"
+    echo "then run ./build again."
+    echo ""
+    echo "If using another Linux distribution, then you will have to"
+    echo "work out how to install the I2C Developmen Libraries for your"
+    echo "system."
+    echo ""
+    exit 1
+  fi
+
   echo "WiringPi library"
   cd wiringPi
   sudo make uninstall
index 7b84abd..6615133 100644 (file)
@@ -42,7 +42,7 @@ extern int wiringPiDebug ;
 #  define      FALSE   (1==2)
 #endif
 
-#define        VERSION "1.6"
+#define        VERSION "1.7"
 
 static int wpMode ;